## flycheck 35.0

=== Makefile ===
# Copyright (c) 2018 Flycheck contributors
# Copyright (c) 2012-2016 Sebastian Wiesner and Flycheck contributors

# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.

# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.

# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.

# Programs
EASK = eask
EMACS = emacs
GIT = git
INKSCAPE = inkscape
CONVERT = convert
OPTIPNG = optipng

# Program options
EMACSOPTS =
PATTERN = .*
LANGUAGE =
ifdef LANGUAGE
SELECTOR = (language $(LANGUAGE))
endif

# Internal variables
EMACSBATCH = $(EMACS) -Q --batch -L . $(EMACSOPTS)
RUNEMACS =

# Program availability
ifdef EASK
RUNEMACS = $(EASK) exec $(EMACSBATCH)
HAVE_EASK := $(shell sh -c "command -v $(EASK)")
ifndef HAVE_EASK
$(warning "$(EASK) is not available.  Please run make help")
endif
else
RUNEMACS = $(EMACSBATCH)
endif
HAVE_INKSCAPE := $(shell sh -c "command -v $(INKSCAPE)")
HAVE_CONVERT := $(shell sh -c "command -v $(CONVERT)")
HAVE_OPTIPNG := $(shell sh -c "command -v $(OPTIPNG)")

RUNTEST = $(RUNEMACS) --load test/flycheck-test --load test/run.el \
	-f flycheck-run-tests-main

# Export Emacs to goals, mainly for EASK
EASK_EMACS = $(EMACS)
export EMACS
export EASK_EMACS

# Run make help by default
.DEFAULT_GOAL = help

# File lists
SRCS = flycheck.el flycheck-ert.el
IMGS = doc/_static/logo.png
TEST_SRCS = flycheck.el flycheck-ert.el test/flycheck-test.el

# File rules
flycheck-ert.elc: flycheck.elc

flycheck-buttercup.elc: flycheck.elc

doc/_static/logo.png: flycheck.svg
ifndef HAVE_CONVERT
	$(error "$(CONVERT) not available.  Please run make help.")
endif
ifndef HAVE_INKSCAPE
	$(error "$(INKSCAPE) not available.  Please run make help.")
endif
ifndef HAVE_OPTIPNG
	$(error "$(OPTIPNG) not available.  Please run make help.")
endif
	$(CONVERT) $< -trim -background white -bordercolor white \
		-border 5 $@
	$(OPTIPNG) $@

# Public targets
.PHONY: init
init:
	$(EASK) install-deps --dev
	$(EASK) upgrade

.PHONY: clean
clean:
	$(EASK) clean elc
	$(MAKE) -C doc clean

.PHONY: purge
purge:
	$(GIT) clean -xfd

.PHONY: format
format:
	$(RUNEMACS) -l maint/flycheck-format.el -f flycheck/batch-format

.PHONY: check-format
check-format:
	$(RUNEMACS) -l maint/flycheck-format.el -f flycheck/batch-check-format

.PHONY: checkdoc
checkdoc:
	$(EASK) lint checkdoc

.PHONY: check
check: check-format checkdoc

.PHONY: compile
compile:
	$(EASK) compile

.PHONY: specs
specs: compile
	$(EASK) exec buttercup -L . test/specs

.PHONY: unit
unit: compile
	$(RUNTEST) '(and (not (tag external-tool)) $(SELECTOR))'

.PHONY: integ
integ: compile
	$(RUNTEST) '(and (tag external-tool) $(SELECTOR))'

.PHONY: images
images: $(IMGS)

.PHONY: help
help:
	@echo 'Run `make init` first to install and update all local dependencies.'
	@echo ''
	@echo 'Available targets:'
	@echo '  init:    Initialise the project.  RUN FIRST!'
	@echo '  check:   Check all Emacs Lisp sources (needs Emacs 25)'
	@echo '  compile: Byte-compile Emacs Lisp sources'
	@echo '  format:  Format all Emacs Lisp sources'
	@echo '  specs:   Run all buttercup specs for Flycheck'
	@echo '  unit:    Run all ERT unit tests for Flycheck (legacy)'
	@echo '  integ:   Run all integration tests for Flycheck'
	@echo '  images:  Generate PNG images from SVG sources'
	@echo '  clean:   Clean compiled files'
	@echo '  purge:   Clean everything'
	@echo ''
	@echo 'Available make variables:'
	@echo '  PATTERN:  A regular expression matching spec names to run with `specs`'
	@echo '  SELECTOR: An ERT selector expression for `unit` and `integ`'
	@echo '  LANGUAGE: The name of a language for `integ`.  Overrides `SELECTOR`'
	@echo '  EMACSOPTS: Additional options to pass to `emacs`'
	@echo '  EMACS:    The path or name of the Emacs to use for tests and compilation'
	@echo ''
	@echo 'Available programs:'
	@echo '  $(EASK): $(if $(HAVE_EASK),yes,no)'
	@echo ''
	@echo 'You need $(EASK) to develop Flycheck.'
	@echo 'See https://emacs-eask.github.io/ for more information.'

=== doc/Makefile ===
# Copyright (C) 2016 Sebastian Wiesner and Flycheck contributors
# This file is not part of GNU Emacs.

# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.

# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.

# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.

PIP = pip3
SPHINXOPTS = -j4
SPHINXBUILD = sphinx-build
SPHINXAUTOBUILD = sphinx-autobuild
OPTIPNG = optipng
BUILDDIR = _build

# Whether to build offline HTML that loads no external resources, for use in 3rd
# party packages, see https://github.com/flycheck/flycheck/issues/999
OFFLINE =

ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .
ifdef OFFLINE
ALLSPHINXOPTS += -Dflycheck_offline_html=1
endif

IMAGES = images/*.png

.DEFAULT_GOAL := help

HAVE_SPHINXBUILD := $(shell sh -c "command -v $(SPHINXBUILD)")
ifndef HAVE_SPHINXBUILD
$(warning "$(SPHINXBUILD) is not available.  Please run make help.")
endif
HAVE_SPHINXAUTOBUILD := $(shell sh -c "command -v $(SPHINXAUTOBUILD)")
HAVE_PIP := $(shell sh -c "command -v $(PIP)")

.PHONY: help
help:
	@echo 'Available targets:'
	@echo '  html:            Build HTML documentation to $(BUILDDIR)/html'
	@echo '  html-auto:       Like html, but automatically rebuild on changes'
	@echo '  linkcheck:       Check all links and references'
	@echo '  clean:           Remove generated documentation'
	@echo '  optimise-images: Optimise all images in the documentation'
	@echo ''
	@echo 'To build the documentation you need $(SPHINXBUILD).'
	@echo 'For *-auto targets you also need $(SPHINXAUTOBUILD).'
	@echo ''
	@echo 'Available make variables:'
	@echo '  OFFLINE:  If set build HTML that loads no external resources'
	@echo ''
	@echo 'Available programs:'
	@echo '  $(SPHINXBUILD): $(if $(HAVE_SPHINXBUILD),yes,no)'
	@echo '  $(SPHINXAUTOBUILD): $(if $(HAVE_SPHINXAUTOBUILD),yes,no)'
	@echo ''
	@echo 'You need Python 3.4 or newer to install Sphinx for Flycheck.'
	@echo ''
	@echo 'Run make init to install all missing tools.  It is recommended'
	@echo 'that you use virtualenv (https://virtualenv.pypa.io/en/latest/)'
	@echo 'to avoid a global installation of Python packages.  make init'
	@echo 'will warn you if you do not.'

.PHONY: init
init:
ifndef HAVE_PIP
	$(error "$(PIP) not available.  Please run make help.")
endif
ifndef VIRTUAL_ENV
	$(warning "No virtualenv active.  Installing Sphinx globally is not recommended.")
ifndef FORCE
	$(error "Aborted.  Run make FORCE=1 init to override or make help.")
endif
endif
	pip install -r requirements.txt

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

# HTML and related formats
.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: html-auto
html-auto:
ifndef HAVE_SPHINXAUTOBUILD
	$(error "sphinx-autobuild not available.  Run make help.")
endif
	$(SPHINXAUTOBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

# House-keeping targets
.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: optimise-images
optimise-images:
	$(OPTIPNG) $(filter %.png,$(IMAGES))

=== doc/requirements.txt ===
# Sphinx
Sphinx~=5.3
# Automatically build documentation on changes
sphinx-autobuild
# Sphinx theme
alabaster>=0.7.8
# Syntax highlighting
Pygments>=2.1
# Network access
requests>=2.9

=== maint/requirements.txt ===
# Network access
requests>=2.9
# Git operations
GitPython>=2.0

# Linting for our Python code
flake8>=3.0
pep8>=1.7
pep8-naming>=0.4
flake8-quotes>=0.8
flake8_docstrings>=1.0
# Workaround for 'pydocstyle has no attribute tokenize_open' error
# see https://gitlab.com/pycqa/flake8-docstrings/issues/36
pydocstyle<4

=== debian/changelog ===
flycheck (35.0-1) unstable; urgency=medium

  * New upstream release
  * Drop 0008-Update-flycheck-add-overlay-right-position-in-narrow.patch
    - Applied upstream
  * Refresh patches
  * Manage patches using gbp-pq
  * Mark packages in Build-Depends with <!nocheck> or <!nodoc> as needed
  * Add gawk to Build-Depends as <!nocheck>
  * Skip awk-gawk test that fails with gawk (LP: #2101938)

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 28 Apr 2025 00:46:18 -0700

=== debian/control ===
Source: flycheck
Section: editors
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders:
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa (>= 1.7),
 elpa-buttercup (>= 1.31~) <!nocheck>,
 elpa-dash <!nocheck>,
 elpa-f <!nocheck>,
 elpa-haskell-mode <!nocheck>,
 elpa-let-alist <!nocheck>,
 elpa-shut-up <!nocheck>,
 gawk <!nocheck>,
 git <!nocheck>,
 python3-minimal <!nocheck>,
 python3-sphinx <!nodoc>,
Build-Conflicts:
 python-sphinx,
Standards-Version: 4.7.2
Homepage: https://www.flycheck.org/
Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck
Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck.git
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-flycheck
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs,
Enhances:
 emacs,
Suggests:
 flycheck-doc,
Description: modern on-the-fly syntax checking for Emacs
 Flycheck uses various syntax checking and linting tools to
 automatically check the contents of buffers while the user types, and
 reports warnings and errors directly in the buffer, or in an optional
 error list.
 .
 It is intended to replace the older Flymake which is part of Emacs core.

Package: flycheck-doc
Section: doc
Architecture: all
Depends:
 elpa-flycheck (= ${source:Version}),
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: modern on-the-fly syntax checking for Emacs - documentation
 Flycheck uses various syntax checking and linting tools to
 automatically check the contents of buffers while the user types, and
 reports warnings and errors directly in the buffer, or in an optional
 error list.
 .
 This package includes flycheck's HTML documentation.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/flycheck/flycheck/tags \
  (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## flycheck 36.0

=== Makefile ===
--- 
+++ 
@@ -25,13 +25,8 @@
 # Program options
 EMACSOPTS =
 PATTERN = .*
-LANGUAGE =
-ifdef LANGUAGE
-SELECTOR = (language $(LANGUAGE))
-endif
-
 # Internal variables
-EMACSBATCH = $(EMACS) -Q --batch -L . $(EMACSOPTS)
+EMACSBATCH = $(EMACS) -Q --batch -L . -L test/specs $(EMACSOPTS)
 RUNEMACS =
 
 # Program availability
@@ -48,9 +43,6 @@
 HAVE_CONVERT := $(shell sh -c "command -v $(CONVERT)")
 HAVE_OPTIPNG := $(shell sh -c "command -v $(OPTIPNG)")
 
-RUNTEST = $(RUNEMACS) --load test/flycheck-test --load test/run.el \
-	-f flycheck-run-tests-main
-
 # Export Emacs to goals, mainly for EASK
 EASK_EMACS = $(EMACS)
 export EMACS
@@ -60,13 +52,10 @@
 .DEFAULT_GOAL = help
 
 # File lists
-SRCS = flycheck.el flycheck-ert.el
+SRCS = flycheck.el
 IMGS = doc/_static/logo.png
-TEST_SRCS = flycheck.el flycheck-ert.el test/flycheck-test.el
 
 # File rules
-flycheck-ert.elc: flycheck.elc
-
 flycheck-buttercup.elc: flycheck.elc
 
 doc/_static/logo.png: flycheck.svg
@@ -119,15 +108,7 @@
 
 .PHONY: specs
 specs: compile
-	$(EASK) exec buttercup -L . test/specs
-
-.PHONY: unit
-unit: compile
-	$(RUNTEST) '(and (not (tag external-tool)) $(SELECTOR))'
-
-.PHONY: integ
-integ: compile
-	$(RUNTEST) '(and (tag external-tool) $(SELECTOR))'
+	$(EASK) exec buttercup -L . -L test/specs test/specs
 
 .PHONY: images
 images: $(IMGS)
@@ -142,16 +123,12 @@
 	@echo '  compile: Byte-compile Emacs Lisp sources'
 	@echo '  format:  Format all Emacs Lisp sources'
 	@echo '  specs:   Run all buttercup specs for Flycheck'
-	@echo '  unit:    Run all ERT unit tests for Flycheck (legacy)'
-	@echo '  integ:   Run all integration tests for Flycheck'
 	@echo '  images:  Generate PNG images from SVG sources'
 	@echo '  clean:   Clean compiled files'
 	@echo '  purge:   Clean everything'
 	@echo ''
 	@echo 'Available make variables:'
 	@echo '  PATTERN:  A regular expression matching spec names to run with `specs`'
-	@echo '  SELECTOR: An ERT selector expression for `unit` and `integ`'
-	@echo '  LANGUAGE: The name of a language for `integ`.  Overrides `SELECTOR`'
 	@echo '  EMACSOPTS: Additional options to pass to `emacs`'
 	@echo '  EMACS:    The path or name of the Emacs to use for tests and compilation'
 	@echo ''

=== doc/Makefile ===
--- 
+++ 
@@ -21,14 +21,7 @@
 OPTIPNG = optipng
 BUILDDIR = _build
 
-# Whether to build offline HTML that loads no external resources, for use in 3rd
-# party packages, see https://github.com/flycheck/flycheck/issues/999
-OFFLINE =
-
 ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .
-ifdef OFFLINE
-ALLSPHINXOPTS += -Dflycheck_offline_html=1
-endif
 
 IMAGES = images/*.png
 
@@ -54,8 +47,6 @@
 	@echo 'For *-auto targets you also need $(SPHINXAUTOBUILD).'
 	@echo ''
 	@echo 'Available make variables:'
-	@echo '  OFFLINE:  If set build HTML that loads no external resources'
-	@echo ''
 	@echo 'Available programs:'
 	@echo '  $(SPHINXBUILD): $(if $(HAVE_SPHINXBUILD),yes,no)'
 	@echo '  $(SPHINXAUTOBUILD): $(if $(HAVE_SPHINXAUTOBUILD),yes,no)'

=== doc/requirements.txt ===
# Sphinx
Sphinx>=7.0
# Automatically build documentation on changes
sphinx-autobuild
# Sphinx theme
furo
# Syntax highlighting
Pygments>=2.17
# Network access
requests>=2.30

=== debian/changelog ===
flycheck (36.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Rules-Requires-Root: no'; now default
  * Drop `Priority: optional'; now default
  * Migrate d/watch to version 5 format
  * Add new build dependencies
    - gnupg for tests
    - furo and python3-pygments for docs
  * Add test/specs to buttercup_load_path for tests
  * Refresh patches
  * Disable failing test flycheck-display-error-message
  * Update upstream-tag to use upstream tags
    - Also drop compression settings to prefer upstream tarballs

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 22 Feb 2026 02:16:42 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: flycheck
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders:
  Xiyue Deng <manphiz@gmail.com>,
@@ -13,18 +12,20 @@
  elpa-haskell-mode <!nocheck>,
  elpa-let-alist <!nocheck>,
  elpa-shut-up <!nocheck>,
+ furo <!nodoc>,
  gawk <!nocheck>,
  git <!nocheck>,
+ gnupg <!nocheck>,
  python3-minimal <!nocheck>,
+ python3-pygments <!nodoc>,
  python3-sphinx <!nodoc>,
 Build-Conflicts:
  python-sphinx,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.flycheck.org/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck
 Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck.git
 Testsuite: autopkgtest-pkg-elpa
-Rules-Requires-Root: no
 
 Package: elpa-flycheck
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: flycheck
Project: flycheck
